javax.websocket

## Interface EndpointConfig

- All Known Subinterfaces:
    ClientEndpointConfig, ServerEndpointConfig

      public interface EndpointConfig

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Class<? extends Decoder>>` | `getDecoders()`
    `java.util.List<java.lang.Class<? extends Encoder>>` | `getEncoders()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getUserProperties()`

- - ### Method Detail

    - #### getEncoders

          java.util.List<java.lang.Class<? extends Encoder>> getEncoders()

    - #### getDecoders

          java.util.List<java.lang.Class<? extends Decoder>> getDecoders()

    - #### getUserProperties

          java.util.Map<java.lang.String,java.lang.Object> getUserProperties()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.